#
# spec file for package OpenPBS (Version 2.3.14)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ed readline readline-devel tcl tcl-devel tk xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs ed file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone tk unzip util-linux vim xdevel xf86 xshared

Name:         OpenPBS
Requires:     tcl tk
Conflicts:    dqs 
Copyright:    Portable Batch System (PBS) Software License 
Group:        Applications/Clustering
Summary:      Portable Batch System
Version:      2.3.14
Release:      78
Source:       OpenPBS-%{version}.tar.bz2
Patch:	      OpenPBS-%{version}.dif
#Patch1:	      cplantFR.dif
#Patch2:	      cplant_define.dif
Patch3:	      readline.patch
Patch4:	      mom_mach.dif
Patch5:		ncsa_scaling.patch
Patch6:		ia64.patch
URL:		http://www.openpbs.org/
Provides:	pbs
Obsoletes:	pbs
Autoreqprov:  on

%description
The Portable Batch System (PBS) is a flexible batch software processing system developed at NASA Ames Research Center. It operates on networked, multi-platform UNIX environments, including heterogeneous clusters of workstations, supercomputers, and massively parallel systems.

Authors:
--------
    NASA Ames Research Cente

SuSE series: beo

%prep
%setup -n OpenPBS-%{version}
%patch
#%patch1
#%patch2
#%patch3
%patch4
%patch5 -p1
%ifarch ia64
%patch6
%endif

%build
pbs_prefix=/usr
pbs_server_home=/var/spool/pbs     
%{?suse_update_config:%{suse_update_config -f buildutils}}
#autoconf
./configure --prefix=${pbs_prefix}  --set-server-home=${pbs_server_home}  --set-server-name-file=${pbs_server_home}/default_server    --enable-docs --mandir=/usr/share/man --enable-tcl-qstat --with-tcl --enable-syslog --libdir=/usr/lib/pbs
make

%install
#touch /stamp
make install
target_host=`/bin/hostname`
pbs_prefix=/usr
pbs_server_home=/var/spool/pbs     
touch ${pbs_server_home}/mom_priv/config
#install -d /usr/include/pbs
#install -m 644 src/include/*.h /usr/include/pbs
install -d /etc/init.d
cp pbsserv.init /etc/init.d/pbsserv
cp pbsmom.init /etc/init.d/pbsmom
cp pbssched.init /etc/init.d/pbssched
chmod 755 /etc/init.d/pbsserv
chmod 755 /etc/init.d/pbssched
chmod 755 /etc/init.d/pbsmom
ln -sf ../../etc/init.d/pbsserv /usr/sbin/rcpbsserv
ln -sf ../../etc/init.d/pbsmom /usr/sbin/rcpbsmom
ln -sf ../../etc/init.d/pbssched /usr/sbin/rcpbssched
install -m 644 rc.config /var/adm/fillup-templates/rc.config.pbs
install -m 744  buildutils/pbs_mkdirs /usr/sbin
install -m 644 src/include/tm.h /usr/include
install -m 644 src/include/portability.h /usr/include
install -m 644 src/include/tm_.h /usr/include
#find /usr -cnewer /stamp -print > /file_list

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.pbs
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.pbs and"
  echo "update by hand."
fi
#!/bin/sh
pbs_prefix=/usr
pbs_server_home=/var/spool/pbs
if [ -f "${pbs_server_home}/default_server" ]; then
	echo `hostname` > ${pbs_server_home}/default_server
fi
if [ -f "/var/spool/pbs/mom_priv/config" ]; then
	echo "\$clienthost <server hostname>" > /var/spool/pbs/mom_priv/config
fi
if [ ! -f /usr/spool/pbs/default_server ] ; then
	echo "<server hostname>" > /var/spool/pbs/default_server
fi    
sbin/insserv etc/init.d/pbsserv
sbin/insserv etc/init.d/pbssched
sbin/insserv etc/init.d/pbsmom
# Rearrange  run level symlinks after removing the init script

%postun
sbin/insserv etc/init.d/

%files
%doc INSTALL PBS_License.text Read.Me Release_Notes README.SuSE
/usr/bin/xpbsmon
/usr/bin/qalter
/usr/bin/qdel
/usr/bin/qhold
/usr/bin/qmove
/usr/bin/qorder
/usr/bin/qmsg
/usr/bin/qrls
/usr/bin/qrerun
/usr/bin/qselect
/usr/bin/qsig
/usr/bin/qstat
/usr/bin/qsub
/usr/bin/pbsdsh
/usr/bin/qdisable
/usr/bin/qenable
/usr/bin/qrun
/usr/bin/qstart
/usr/bin/qstop
/usr/bin/qterm
/usr/bin/pbsnodes
/usr/bin/qmgr
/usr/bin/nqs2pbs
/usr/bin/pbs_tclsh
/usr/bin/pbs_wish
/usr/bin/chk_tree
/usr/bin/hostn
/usr/bin/printjob
/usr/bin/tracejob
/usr/bin/xpbs
/usr/sbin/rcpbsserv
/usr/sbin/pbs_server
/usr/sbin/pbs_sched
/usr/sbin/pbs_mom
/usr/sbin/pbs_rcp
/usr/sbin/pbs_iff
/usr/sbin/pbs_demux
/usr/sbin/rcpbsmom
/usr/sbin/rcpbssched
/usr/lib/pbs/xpbsmon
/usr/lib/pbs/xpbs
%dir /var/spool/pbs
%dir /var/spool/pbs/spool
%dir /var/spool/pbs/server_priv
%dir /var/spool/pbs/server_priv/jobs
%dir /var/spool/pbs/server_priv/queues
%dir /var/spool/pbs/server_priv/acl_svr
%dir /var/spool/pbs/server_priv/acl_hosts
%dir /var/spool/pbs/server_priv/acl_users
%dir /var/spool/pbs/server_priv/acl_groups
%dir /var/spool/pbs/server_priv/accounting
%dir /var/spool/pbs/server_logs
%dir /var/spool/pbs/sched_priv
%dir /var/spool/pbs/sched_logs
%dir /var/spool/pbs/aux
%dir /var/spool/pbs/checkpoint
%dir /var/spool/pbs/undelivered
%dir /var/spool/pbs/mom_priv
%dir /var/spool/pbs/mom_priv/jobs
%dir /var/spool/pbs/mom_logs
%config /var/spool/pbs/default_server
%config /var/spool/pbs/mom_priv/config     
%config /var/spool/pbs/sched_priv/sched_config
%config /var/spool/pbs/sched_priv/resource_group
%config /var/spool/pbs/sched_priv/holidays
%config /var/spool/pbs/sched_priv/dedicated_time
%config /var/spool/pbs/pbs_environment
/etc/init.d/pbsserv
/etc/init.d/pbsmom
/etc/init.d/pbssched
/usr/sbin/pbs_mkdirs
/var/adm/fillup-templates/rc.config.pbs
/usr/lib/pbs/pbs_sched.a
/usr/lib/pbs/libattr.a
/usr/lib/pbs/libcmds.a
/usr/lib/pbs/liblog.a
/usr/lib/pbs/libnet.a
/usr/lib/pbs/libpbs.a
/usr/lib/pbs/libsite.a
/usr/include/pbs_error.h
/usr/include/portability.h
/usr/include/tm.h
/usr/include/pbs_ifl.h
%doc /usr/share/man/man7/pbs_server_attributes.7B.gz
%doc /usr/share/man/man7/pbs_resources_all.soB.gz
%doc /usr/share/man/man7/pbs_resources_aix4.7B.gz
%doc /usr/share/man/man7/pbs_resources_digitalunix.7B.gz
%doc /usr/share/man/man7/pbs_resources_freebsd.7B.gz
%doc /usr/share/man/man7/pbs_resources_fujitsu.7B.gz
%doc /usr/share/man/man7/pbs_resources_irix5.7B.gz
%doc /usr/share/man/man7/pbs_resources_irix6array.7B.gz
%doc /usr/share/man/man7/pbs_resources_irix6.7B.gz
%doc /usr/share/man/man7/pbs_resources_linux.7B.gz
%doc /usr/share/man/man7/pbs_resources_solaris5.7B.gz
%doc /usr/share/man/man7/pbs_resources_sp2.7B.gz
%doc /usr/share/man/man7/pbs_resources_sunos4.7B.gz
%doc /usr/share/man/man7/pbs_resources_unicos8.7B.gz
%doc /usr/share/man/man7/pbs_resources_unicosmk2.7B.gz
%doc /usr/share/man/man7/pbs_resources.7B.gz
%doc /usr/share/man/man7/pbs_job_attributes.7B.gz
%doc /usr/share/man/man7/pbs_queue_attributes.7B.gz
%doc /usr/share/man/man7/pbs_resources_netbsd.7B.gz
%doc /usr/share/man/man8/pbs_mom.8B.gz
%doc /usr/share/man/man8/pbs_server.8B.gz
%doc /usr/share/man/man8/qmgr.8B.gz
%doc /usr/share/man/man8/qrun.8B.gz
%doc /usr/share/man/man8/qstart.8B.gz
%doc /usr/share/man/man8/qstop.8B.gz
%doc /usr/share/man/man8/qterm.8B.gz
%doc /usr/share/man/man8/pbs_sched_cc.8B.gz
%doc /usr/share/man/man8/pbs_sched_basl.8B.gz
%doc /usr/share/man/man8/pbs_sched_tcl.8B.gz
%doc /usr/share/man/man8/qdisable.8B.gz
%doc /usr/share/man/man8/qenable.8B.gz
%doc /usr/share/man/man8/pbsnodes.8B.gz
%doc /usr/share/man/man1/qdel.1B.gz
%doc /usr/share/man/man1/qmove.1B.gz
%doc /usr/share/man/man1/qmsg.1B.gz
%doc /usr/share/man/man1/qorder.1B.gz
%doc /usr/share/man/man1/qrerun.1B.gz
%doc /usr/share/man/man1/qrls.1B.gz
%doc /usr/share/man/man1/qsig.1B.gz
%doc /usr/share/man/man1/qstat.1B.gz
%doc /usr/share/man/man1/qsub.1B.gz
%doc /usr/share/man/man1/pbs.1B.gz
%doc /usr/share/man/man1/pbsdsh.1B.gz
%doc /usr/share/man/man1/nqs2pbs.1B.gz
%doc /usr/share/man/man1/basl2c.1B.gz
%doc /usr/share/man/man1/xpbs.1B.gz
%doc /usr/share/man/man1/qalter.1B.gz
%doc /usr/share/man/man1/qhold.1B.gz
%doc /usr/share/man/man1/qselect.1B.gz
%doc /usr/share/man/man1/xpbsmon.1B.gz
%doc /usr/share/man/man3/pbs_deljob.3B.gz
%doc /usr/share/man/man3/pbs_default.3B.gz
%doc /usr/share/man/man3/pbs_disconnect.3B.gz
%doc /usr/share/man/man3/pbs_geterrmsg.3B.gz
%doc /usr/share/man/man3/pbs_holdjob.3B.gz
%doc /usr/share/man/man3/pbs_manager.3B.gz
%doc /usr/share/man/man3/pbs_movejob.3B.gz
%doc /usr/share/man/man3/pbs_msgjob.3B.gz
%doc /usr/share/man/man3/pbs_orderjob.3B.gz
%doc /usr/share/man/man3/pbs_rescquery.3B.gz
%doc /usr/share/man/man3/pbs_rerunjob.3B.gz
%doc /usr/share/man/man3/pbs_rlsjob.3B.gz
%doc /usr/share/man/man3/pbs_runjob.3B.gz
%doc /usr/share/man/man3/pbs_selectjob.3B.gz
%doc /usr/share/man/man3/pbs_sigjob.3B.gz
%doc /usr/share/man/man3/pbs_stagein.3B.gz
%doc /usr/share/man/man3/pbs_statjob.3B.gz
%doc /usr/share/man/man3/pbs_statque.3B.gz
%doc /usr/share/man/man3/pbs_statserver.3B.gz
%doc /usr/share/man/man3/pbs_submit.3B.gz
%doc /usr/share/man/man3/pbs_terminate.3B.gz
%doc /usr/share/man/man3/rpp.3B.gz
%doc /usr/share/man/man3/tm.3B.gz
%doc /usr/share/man/man3/pbs_alterjob.3B.gz
%doc /usr/share/man/man3/pbs_connect.3B.gz
%doc /usr/share/man/man3/pbs_rescreserve.3B.gz

%changelog -n OpenPBS
* Mon Sep 17 2001 - nashif@suse.de
-  Fixed bug# 10756
-  Patch to recognize ia64 machine as ia64-intel instead of i686-intel
-  NCSA scaling patch required for large clusters.
* Fri Jul 13 2001 - nashif@suse.de
-  Fixed bugs #9057, #9066, #9070
* Mon Jun 11 2001 - nashif@suse.de
-  Update to version 2.3.14
* Mon Mar 05 2001 - nashif@suse.de
- Moved libs to /usr/lib/pbs
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Wed Feb 07 2001 - nashif@suse.de
- Fixed header files in mom_mach.c
- Added readline patch
- Update to 2.3.12
- Modified init scripts
- Changed package name: pbs->OpenPBS
* Thu Jan 11 2001 - nashif@suse.de
- Fixed mom_arch.c with new quota.h from include/sys instead include/linux
* Tue Dec 19 2000 - nashif@suse.de
- Update to patch level 8
* Thu Dec 14 2000 - schwab@suse.de
- Add %%suse_update_config.
* Thu Nov 30 2000 - nashif@suse.de
- Update to patch level 5
- moved init.d scripts to /etc/init.d
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Fri Nov 24 2000 - nashif@suse.de
- Update to patchlevel 4 (2.3.4)
- Use insserv
* Wed Nov 15 2000 - nashif@suse.de
- Update to version 2.3.3
* Sun Jun 25 2000 - nashif@suse.de
- Fixed file list
- Changed Group
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
* Mon Mar 06 2000 - nashif@suse.de
- Updated path to wish
- Updated to patch level 11
* Sun Feb 13 2000 - nashif@suse.de
- Updated to patch level 8
- added pbs_mkdirs in /usr/sbin
* Thu Jan 27 2000 - nashif@suse.de
- Initial Release (Version: 2.2p7)
